FROM raspbian/stretch:041518

RUN apt update && apt install -yqq --no-install-recommends libgstreamer1.0-0 gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly gstreamer1.0-tools libgstrtspserver-1.0-dev gstreamer1.0-rtsp gstreamer1.0-omx
    
COPY multicast-rtsp-rpi.c .

RUN apt install -yqq build-essential && \
    gcc -o multicast-rtsp-server multicast-rtsp-rpi.c `pkg-config --cflags --libs gstreamer-rtsp-server-1.0` && \
    apt purge -yqq build-essential && \
    rm -rf /var/lib/apt/lists/*

ENTRYPOINT [ "/bin/bash" ]